# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=curl
pkgver=7.83.1
pkgrel=1
pkgdesc="An URL retrival utility and library"
arch=('x86_64')
url="https://curl.haxx.se"
license=('MIT')
groups=('base')
depends=('zlib' 'openssl' 'bash')
source=(https://curl.haxx.se/download/${pkgname}-${pkgver}.tar.xz)
sha256sums=(2cb9c2356e7263a1272fd1435ef7cdebf2cd21400ec287b068396deb705c22c4)

build() {
    cd ${pkgname}-${pkgver}

    ${configure} \
        --disable-static               \
        --with-openssl                 \
        --enable-threaded-resolver     \
        --with-ca-path=/etc/ssl/certs

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
